package document_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type DocumentSetprintcountRequest struct {
	// 【设置签署文档打印次数】设置签署文档打印次数
	RequestParams []*common.DocumentSetPrintCountRequest `json:"requestParams,omitempty"`
}

func (obj DocumentSetprintcountRequest) GetUrl() string {
	return "/document/setprintcount"
}

func (obj DocumentSetprintcountRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj.RequestParams)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
